Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class KModuleRegisterableItemsFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
          org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory
              org.jbpm.runtime.manager.impl.KModuleRegisterableItemsFactory

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RegisterableItemsFactory

    public class KModuleRegisterableItemsFactory

extends DefaultRegisterableItemsFactory

This implementation extends DefaultRegisterableItemsFactory and relies on definitions of work item handlers and listeners that come from kmodule.xml from kjar. It will directly register all listeners and work item handlers on ksession and will return listeners and handlers provided by default implementation.

Constructor Summary
`KModuleRegisterableItemsFactory(KieContainer kieContainer, String ksessionName)`
`KModuleRegisterableItemsFactory(KieContainer kieContainer, String ksessionName, AuditEventBuilder auditBuilder)`

Method Summary
`List<AgendaEventListener>` | `getAgendaEventListeners(RuntimeEngine runtime)`
`List<ProcessEventListener>` | `getProcessEventListeners(RuntimeEngine runtime)`
`List<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners(RuntimeEngine runtime)`
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(RuntimeEngine runtime)`

Methods inherited from class org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory
`getAuditBuilder, getHTWorkItemHandler, setAuditBuilder`

Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
`addAgendaListener, addProcessListener, addWorkingMemoryListener, addWorkItemHandler, createInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KModuleRegisterableItemsFactory

    public KModuleRegisterableItemsFactory(KieContainer kieContainer,
                                           String ksessionName)

### KModuleRegisterableItemsFactory

    public KModuleRegisterableItemsFactory(KieContainer kieContainer,
                                           String ksessionName,
                                           AuditEventBuilder auditBuilder)

Method Detail

### getWorkItemHandlers

    public Map<String,WorkItemHandler> getWorkItemHandlers(RuntimeEngine runtime)

  Specified by:
    `getWorkItemHandlers` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getWorkItemHandlers` in class `DefaultRegisterableItemsFactory`

### getProcessEventListeners

    public List<ProcessEventListener> getProcessEventListeners(RuntimeEngine runtime)

  Specified by:
    `getProcessEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getProcessEventListeners` in class `DefaultRegisterableItemsFactory`

### getAgendaEventListeners

    public List<AgendaEventListener> getAgendaEventListeners(RuntimeEngine runtime)

  Specified by:
    `getAgendaEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getAgendaEventListeners` in class `DefaultRegisterableItemsFactory`

### getWorkingMemoryEventListeners

    public List<WorkingMemoryEventListener> getWorkingMemoryEventListeners(RuntimeEngine runtime)

  Specified by:
    `getWorkingMemoryEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getWorkingMemoryEventListeners` in class `DefaultRegisterableItemsFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.